# $Revision: 1.36 $, $Date: 2011/08/23 09:10:31 $
Summary:	phpldapadmin - a web-based LDAP client
Summary(pl.UTF-8):	phpldapadmin - klient WWW dla LDAP
Name:		phpldapadmin
Version:	1.2.1.1
Release:	1
License:	GPL v2
Group:		Applications/Databases/Interfaces
Source0:	http://dl.sourceforge.net/phpldapadmin/%{name}-%{version}.tgz
# Source0-md5:	9455d33186236059ea6c230841cb48b2
Patch0:		%{name}-paths.patch
URL:		http://phpldapadmin.sourceforge.net/
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	php(gettext)
Requires:	php(ldap)
Requires:	php(pcre)
Requires:	php(xml)
Requires:	webapps
Requires:	webserver(access)
Requires:	webserver(alias)
Requires:	webserver(php)
Suggests:	webserver(indexfile)
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_webapps	/etc/webapps
%define		_webapp		%{name}
%define		_sysconfdir	%{_webapps}/%{_webapp}
%define		_appdir		%{_datadir}/%{_webapp}

%description
phpLDAPadmin is a web-based LDAP client. It provides easy,
anywhere-accessible, multi-language administration for your LDAP
server. Its hierarchical tree-viewer and advanced search functionality
make it intuitive to browse and administer your LDAP directory. Since
it is a web application, this LDAP browser works on many platforms,
making your LDAP server easily manageable from any location.
phpLDAPadmin is the perfect LDAP browser for the LDAP professional and
novice alike.

%description -l pl.UTF-8
phpLDAPadmin jest opartym o WWW klientem LDAP. Dostarcza łatwego,
ogólnie dostępnego, wielojęzykowego interfejsu administracyjnego do
serwera LDAP. Jego hierarchiczna przeglądarka struktur drzewiastych i
zaawansowane możliwosci wyszukiwania czynią go intuicyjnym dla
przeglądania i administrowania katalogami LDAP. Ponieważ jest
aplikacja webową, działa na wielu platformach, czyniąc serwer LDAP
łatwym do zarządzania z dowolnej lokalizacji. phpLDAPadmin jest
doskonałą przeglądarka LDAP zarówno dla profesjonalistów jak i
nowicjuszy.

%prep
%setup -q
%patch0 -p1

cat > apache.conf <<'EOF'
Alias /ldapadmin %{_appdir}/htdocs

<Directory %{_appdir}/htdocs>
	AllowOverride None
	Allow from all
	php_admin_value open_basedir "%{_sysconfdir}:%{_appdir}"
</Directory>
EOF

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_appdir}}

cp -a htdocs hooks lib locale queries templates $RPM_BUILD_ROOT%{_appdir}
cp -a VERSION $RPM_BUILD_ROOT%{_appdir}
cp -a config/config.php.example	$RPM_BUILD_ROOT%{_sysconfdir}/config.php
cp -a apache.conf $RPM_BUILD_ROOT%{_sysconfdir}/apache.conf
cp -a apache.conf $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf

%clean
rm -rf $RPM_BUILD_ROOT

%triggerin -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache %{_webapp}

%triggerun -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin -- apache < 2.2.0, apache-base
%webapp_register httpd %{_webapp}

%triggerun -- apache < 2.2.0, apache-base
%webapp_unregister httpd %{_webapp}

%files
%defattr(644,root,root,755)
%doc doc/*
%dir %attr(750,root,http) %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*.php
%{_appdir}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: phpldapadmin.spec,v $
Revision 1.36  2011/08/23 09:10:31  gotar
- upgraded to 1.2.1.1,
- more specific License, more accurate Group,
- s/R/S/ webserver(indexfile) (access and alias are not obligate too),
- set open_basedir to %{_sysconfdir}:%{_appdir},
- packaged hooks directory

Revision 1.35  2009/07/24 10:44:07  glen
- release 1

Revision 1.34  2009/01/23 11:19:52  paszczus
- updated to 1.1.0.6

Revision 1.33  2008/06/08 09:28:38  adamg
- Requires: webserver(indexfile), webserver(php)

Revision 1.32  2008-06-08 09:23:51  adamg
- Requires: webserver(access), webserver(alias)

Revision 1.31  2008-03-19 14:22:05  speedo
- update to 1.1.0.5

Revision 1.30  2007/02/13 08:06:40  glen
- tabs in preamble

Revision 1.29  2007/02/12 01:06:26  baggins
- converted to UTF-8

Revision 1.28  2006/11/21 19:56:24  glen
- rel 0.6: use php(extension) virtuals

Revision 1.27  2006/09/29 21:25:58  glen
- update webapp triggers due apache1 package split

Revision 1.26  2006/04/05 23:48:50  glen
- simplify install
- keep the separated htdocs and code

Revision 1.25  2006/04/05 21:11:32  mwinkler
- template display fix

Revision 1.24  2006/04/05 21:01:36  mwinkler
- updated to 0.9.8.2
- rel 0.1, works, need cosmetics

Revision 1.23  2006/04/05 15:40:35  glen
- use webapps framework (no triggers as previous version was broken anyway)

Revision 1.22  2005/12/13 14:37:24  glen
- adapterized (sorted %verify flags)

Revision 1.21  2005/11/20 23:04:33  glen
- use virtual webserver provide

Revision 1.20  2005/09/08 01:40:34  glen
- todo security

Revision 1.19  2005/06/12 14:24:35  glen
- confdir enabled apache1 available only since version 1.3.33-2 (use
  template-apache-package.spec as base reference)

Revision 1.18  2005/06/11 20:22:40  mwinkler
- new apache install triggers

Revision 1.17  2005/05/18 13:08:05  mwinkler
- up to 0.9.6c

Revision 1.16  2005/04/18 16:41:39  mwinkler
- up to 0.9.6

Revision 1.15  2005/03/31 08:59:34  mwinkler
- php5 works

Revision 1.14  2005/03/05 19:34:17  paszczus
- updated to 0.9.5

Revision 1.13  2004/11/25 14:04:27  zergin
- just won't work with php5; scheduled to be fixed in 0.9.5

Revision 1.12  2004/10/31 22:22:38  paladine
- spaces->tabs
- formatting

Revision 1.11  2004/08/16 12:30:44  twittner
- use more macros (it is my template for similar applications for c&p)
- rel. 0.3

Revision 1.10  2004/07/20 21:32:18  twittner
- fix %post - make symlinks rather than  move files
  already matched by %files (noticed by qboosh).
- rel. 0.2

Revision 1.9  2004/06/08 15:45:08  twittner
- fixed changelog.

Revision 1.8  2004/06/08 15:39:31  twittner
- again (always check for most recent copy ;).

Revision 1.7  2004/06/08 15:33:13  twittner
- added missing slash.

Revision 1.6  2004/06/08 13:12:20  qboosh
- cosmetics

Revision 1.5  2004/05/18 06:58:33  twittner
- typos, cleaning

Revision 1.4  2004/05/18 04:44:26  twittner
- don't duplicate %doc work.

Revision 1.3  2004/05/17 19:33:01  twittner
- added omitted files & directory

Revision 1.2  2004/05/17 18:30:57  twittner
- forgotten Source0-md5 - buy me sklerosan

Revision 1.1  2004/05/17 18:12:06  twittner
- new, based on phpMyAdmin.spec
